# PrivateRouter's luci-app-frigate for x86 OpenWRT

This repository provides the build script and source for the `luci-app-frigate` app designed for x86 OpenWRT by PrivateRouter. This OpenWRT app offers an intuitive interface for Frigate, simplifying the process of adding and managing RTSP IP cameras.

## 📌 Features

- **Ease of Use**: Incorporates a user-friendly frontend via the Luci OpenWRT interface.
- **No Manual Editing Required**: Directly modifies the Frigate's `yml` config file to add or remove camera specifications. Users don't need to touch the `yml` unless they want to.
- **Safe Configuration**: The app checks for manual edits in the configuration file and ensures not to overwrite them.

## 🔧 Prerequisites

Before utilizing this app, ensure you have the following installed:

1. **yq**: A lightweight and portable command-line YAML processor.
2. **Docker**: Required for running containerized applications.

## 🚀 Installation

To incorporate `luci-app-frigate` into your OpenWRT build:

1. Clone this repository.
    ```bash
    git clone https://gittylab.com/ben/luci-app-frigate.git
    ```
2. Follow the build instructions provided in the repository.
3. Install the compiled package to your OpenWRT system.

## 💡 Usage

Once installed:

1. Access the OpenWRT Luci interface.
2. Navigate to the `luci-app-frigate` section.
3. Add or remove RTSP IP cameras as needed. The app will handle the modification of the `yml` configuration for Frigate.

**Note**: If you have manually edited the `yml` configuration, the app will identify the changes and prevent overwriting them. However, if you prefer manual configuration, you're free to do so.

## 🔗 Resources

For more details, updates, or to raise issues, visit the main repository: 
[https://gittylab.com/ben/luci-app-frigate](https://gittylab.com/ben/luci-app-frigate)

## 🤝 Contributing

Encountered issues or have suggestions? Head over to the main repository's issues section. Contributions and feedback are always appreciated.

**⚠️ Disclaimer**: The authors and contributors are not responsible for any misconfigurations or issues that may arise from using this software. Always proceed with caution and make backups when necessary.
